[SciPy-Dev] Scipy on Python 3

Warren Weckesser warren.weckesser@enthought....
Sat Sep 11 21:13:19 CDT 2010


David Cournapeau wrote:
> On Sun, Sep 12, 2010 at 10:38 AM, Warren Weckesser
> <warren.weckesser@enthought.com> wrote:
>   
>> Pauli Virtanen wrote:
>>     
>>> Hi,
>>>
>>> I flushed the Python 3 branch containing work from me and David to SVN
>>> trunk. Scipy now builds with Python 3, and all tests pass, except for
>>> scipy.weave which still needs to be ported.
>>>
>>> More testing is welcome. I suspect Scipy's test suite does not cover all
>>> of the code, so there might be some work left to do. You'll probably need
>>> the latest 1.5.x branch Numpy to build, due to some fixes in Numpy's
>>> distutils that are not in 1.5.0.
>>>
>>>
>>>       
>> Hey Pauli,
>>
>> I built numpy 1.5.x using "python setup.py build", and added the built
>> lib directory to PYTHONPATH.  Is this sufficient to build scipy trunk?
>>     
>
> No, you should never do that (numpy or otherwise). If you want an
> usable package without installing it, you need the inplace build
> option:
>
> python setup.py build -i
>
> And point your PYTHONPATH to the *source* directory, not the build
> directory. This should work, and if it does not, it is a bug.
>
>   

Thanks David, that's good to know.

Warren




More information about the SciPy-Dev mailing list